{# macros for generate html #}

{% extends "indexView.html" %}
{% import "indexMacros.html" as render %}

{% block title %}
    Who is {{ homesection.title }}
{% endblock %}

{% block header %}
    <p id="home-presentation-text">Hello, I'm <span class="txt-yellow">{{ homesection.title }}</span>.<br>
        I'm a <span>{{ homesection.profession }}</span><br>
        at <a class="txt-red" target="_blank" href="{{ homesection.companyWebSite }}">{{ homesection.companyName }}</a>
    </p>
    <a href="#about" id="home-button" class="btn text-white bolder xx-large-font fade">ABOUT ME</a>
{% endblock %}

{% block skills %}
    {{ render.generateSkills(skills) }}
{% endblock %}

{% block profil %}
    <a href="login.php" ><img class="width35 border-radius200" src="{{ profil.face }}" alt="profile image"></a>
    <p class="card-text txt-yellow x-large-font margin-top-30px">WHO AM I ?</p>
    <p class="card-text text-white bolder">
    I'm a {{ profil.profession }} at <a class="txt-red" target="_blank" href="{{ profil.companyLink }}">{{ profil.companyName }}</a><br>
    in <a class="txt-yellow" target="_blank" href="{{ profil.placeLink }}">{{ profil.place }}</a>.<br>
    {{profil.hobbies }}
    </p>
{% endblock %}

{% block competences %}
    {{ render.generateCompetences(competences) }}
{% endblock %}

{% block projects %}
    {{ render.generateProjects(projects,3) }}
    {{ render.generateProjectModals(projects) }}
{% endblock %}

{% block socialMedias %}
    {{ render.generateSocialMedias(socialMedias) }}
{% endblock %}